
%define framework plasma-workspace

%define weather_ion_major 7
%define libweather_ion %mklibname weather_ion %{weather_ion_major}

%define taskmanager_major 5
%define libtaskmanager %mklibname taskmanager %{taskmanager_major}

%define plasma_geolocation_interface_major 5
%define libplasma_geolocation_interface %mklibname plasma-geolocation-interface %{plasma_geolocation_interface_major}

%define kworkspace_major 5
%define libkworkspace %mklibname kworkspace %{kworkspace_major}

%define plasma_workspace_devel %mklibname plasma-workspace -d

Summary:        KF 5 application workspace components
Name:           plasma-workspace
Version: 		5.27.11
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Source1:        kde.pam
Source2:        10plasma.sh
Source3:        lockout.qml
URL:            https://www.kde.org/
#------------------------------------------------------------------------------------
BuildRequires:  cmake
BuildRequires:  kf5-macros
BuildRequires:  baloo5-devel 
BuildRequires:  kdoctools-devel 
BuildRequires:  plasma-framework-devel 
BuildRequires:  kdesu-devel 
BuildRequires:  knewstuff-devel 
BuildRequires:  kwallet-devel 
BuildRequires:  kcmutils-devel 
BuildRequires:  kidletime-devel  
BuildRequires:  kdeclarative-devel 
BuildRequires:  ktextwidgets-devel 
BuildRequires:  kdelibs4support-devel 
BuildRequires:  kcrash-devel 
BuildRequires:  krunner-devel 
BuildRequires:  knotifyconfig-devel 
BuildRequires:  kjsembed-devel 
BuildRequires:  libkscreen-devel
BuildRequires:  kwin-devel
BuildRequires:  kactivities5-devel
BuildRequires:  lib64kf5activities-stats-devel
BuildRequires:  lib64kf5people-devel
BuildRequires:  kfilemetadata5-devel 
BuildRequires:  ktexteditor-devel 
BuildRequires:  kinit-devel 
BuildRequires:  kwayland-devel
BuildRequires:  kxmlrpcclient-devel 
BuildRequires:  kcmutils-devel 
BuildRequires:  kscreenlocker-devel
BuildRequires:  lib64kf5ded-devel
BuildRequires:  prison-devel
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  pam-devel
BuildRequires:  lib64qalculate-devel
BuildRequires:  lib64kf5holidays-devel
BuildRequires:  iso-codes-devel
BuildRequires:  lib64nm-devel
BuildRequires:  lib64kf5quickcharts-devel
BuildRequires:  kirigami-devel
BuildRequires:  lib64kf5prison-devel
BuildRequires:  lib64networkmanager-qt-devel
BuildRequires:  lib64ksysguard-devel
BuildRequires:  lib64plasma-wayland-protocols-devel
BuildRequires:  lib64layershellqtinterface-devel
BuildRequires:  lib64qt5xkbcommonsupport-static-devel
BuildRequires:  lib64kdeplasma-addons-devel
#-----------------------------------------------------------------------------------
Requires: ksystemstats
Requires: psmisc
Requires: alsa-utils
Requires: xdg-runtime-dir
Requires: kquickcharts
Requires: qtxmlpatterns5
Requires: lib64nettle8
#------------------------------------------------------------------------------------
Obsoletes: plasma5-applet-redshift-control
Obsoletes: plasma-workspace-login-sound
Obsoletes: kuserfeedback
Obsoletes: lib64kuserfeedbackcore1
Obsoletes: lib64kuserfeedbackwidgets1
#------------------------------------------------------------------------------------
Conflicts: qt5ct
#------------------------------------------------------------------------------------

%description
KF 5 application workspace components


%files
%_sysconfdir
%_kf5_bindir
%_libexecdir
%_kf5_datadir
%_kf5_libdir/*.so.*
%_kf5_libdir/libkrdb.so
%_kf5_libdir/kconf_update_bin/krunnerglobalshortcuts
%_kf5_libdir/kconf_update_bin/krunnerhistory
  %_kf5_libdir/qt5
/usr/lib64/kconf_update_bin/plasmashell-5.27-use-panel-thickness-in-default-group
%exclude %_docdir/HTML

%package -n %plasma_workspace_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       plasma-workspace 
Provides:       %name-devel = %{version}-%{release}

%description -n %plasma_workspace_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %plasma_workspace_devel
%_kf5_libdir/cmake
%_includedir
%{_libdir}/libcolorcorrect.so
%{_libdir}/libkfontinst.so
%{_libdir}/libkfontinstui.so
%{_libdir}/libkworkspace5.so
%{_libdir}/libtaskmanager.so
%{_libdir}/libweather_ion.so
%{_libdir}/libnotificationmanager.so
%{_libdir}/libplasma-geolocation-interface.so

#--------------------------------------------------------------------

%package handbook
Summary: %name Handbook
Group: Documentation
BuildArch: noarch


%description handbook

This package provides %name Handbook.

%files handbook 
%doc %_docdir/HTML
#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%autopatch -p1

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

mkdir -p %buildroot/%_sysconfdir/pam.d/
cp %{SOURCE1} %buildroot/%_sysconfdir/pam.d/kde

install -Dm 0755 %SOURCE2 %buildroot/%_sysconfdir/profile.d/10plasma.sh

# session file
%__install -d %buildroot/%_sysconfdir/X11/wmsession.d
%__cat > %buildroot/%_sysconfdir/X11/wmsession.d/99plasma << EOF
NAME=Plasma
ICON=plasma.png
EXEC=/usr/bin/startplasma-x11
DESC=%summary
SCRIPT:
exec /usr/bin/startplasma-x11
EOF

#drop this
rm -rf %buildroot/%_kf5_datadir/xsessions/plasma.desktop
rm -rf %buildroot/%_kf5_datadir/wayland-sessions/plasmawayland.desktop
rm -rf %buildroot/%{_prefix}/lib/systemd

# Files in these folders break apps
rm -rf %buildroot/%{_datadir}/kdisplay/app-defaults

#drop
rm -f %buildroot/usr/bin/kde-systemd-start-condition

install -m 0644 %SOURCE3 %buildroot/usr/share/plasma/plasmoids/org.kde.plasma.lock_logout/contents/ui/lockout.qml

%post
%make_session
/sbin/ldconfig

%postun
%make_session
/sbin/ldconfig

%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

